package com.gyee.frame.model.custom.export;

import java.math.BigDecimal;

public class TsPointData {

    private long ts;
    private int status;
    private double doubleValue;

    public long getTs() {
        return ts;
    }

    public void setTs(long ts) {
        this.ts = ts;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public double getDoubleValue() {
        return doubleValue;
    }

    public void setDoubleValue(double doubleValue) {
        BigDecimal bg = new BigDecimal(doubleValue);
        double v = bg.setScale(2, BigDecimal.ROUND_HALF_UP).doubleValue();
        this.doubleValue = v;
    }
}
